Types::Attean(3pm)

NAME
Types::Attean - Type constraints for dealing with Attean classes

SYNOPSIS
TODO
  package IRI::Counter {
    use Moo; # or Moose
    use Types::Attean qw( AtteanIRI );

    has iri => (
      is => "ro",
      isa => AtteanIRI,
      required => 1,
    );

    sub count_uses_in_document { ... }
  }

DESCRIPTION
Types::Attean is a type constraint library suitable for use with Moo/Moose attributes, Kavorka sub signatures, and so forth. It builds on Types::URI.

TYPES

"AtteanIri"
    A class type for Attean::IRI.

    Can coerce from URI, IRI, URI::Namespace, RDF::Trine::Node::Resource, RDF::Trine::Namespace, XML::Namespace and strings.

    Additionally, a "ScalarRef" can be coerced into a "data" URI.

OTHER COERCIONS
This library can also coerce from "Attean::IRI" to the "Namespace" type defined in URI::Namespace.